Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

openvrml::resource_istream Member List
This is the complete list of members for openvrml::resource_istream, including all inherited members.

data_available() const | openvrml::resource_istream |
do_data_available() const =0 | openvrml::resource_istream | `[private, pure virtual]`
do_type() const =0 | openvrml::resource_istream | `[private, pure virtual]`
do_url() const =0 | openvrml::resource_istream | `[private, pure virtual]`
resource_istream(std::streambuf *streambuf) | openvrml::resource_istream | `[explicit, protected]`
type() const | openvrml::resource_istream |
url() const | openvrml::resource_istream |
~resource_istream()=0 | openvrml::resource_istream | `[pure virtual]`